#include "chdecl.h"
void CH_getformatters_fmtts(current, sched, cop)
#define ARGUMENTS 11
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c8;
    case 4: goto cb15;
    case 5: goto c16;
    case 6: goto c18;
    case 7: goto c25;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* chs_lit 3.7 , "{" */
  if( !chs_lit(DEF(3)DOT(7),"{") ) goto ch_depletion;
/* boolean 4 , FALSE */
  REF(4).value.boolean = FALSE;
  REF(4).tsdr = & dr_boolean;
/* copy 5 3.6 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = & dr_table;
/* initget 6 5 , 0,0 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(6),DEF(5),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c8:
/* get_or_goto 6 5 , 18 */
  if ((ch_returncode = get_selected_object(DEF(6),DEF(5),sched)) != Normal)
     goto c18;
/* branch_false 4 , 13 */
  if ( !REF(4).value.boolean ) goto c13;
/* ordenum_lit 7 , 44 */
  REF(7).value.ord_enum = 44;
  REF(7).tsdr = & dr_ord_enumeration;
/* insert 3.7 7 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(7),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 15 */
   goto c15;
c13:
/* boolean 4 , TRUE */
  REF(4).value.boolean = TRUE;
  REF(4).tsdr = & dr_boolean;
c15:
  current->ip = 4;
cb15:
/* call 3.0.7 3.0 3.1 3.2 3.3 3.4 3.5 6 8 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(7),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(3)DOT(4),
          arguments[6] = DEF(3)DOT(5),
          arguments[7] = DEF(6),
          arguments[8] = DEF(8),
          arguments[8+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c16:
/* merge 3.7 8 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(7),DEF(8),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 8 */
   goto c8;
c18:
/* endget 6 5 */
  end_selector(DEF(6),DEF(5),sched,GET);
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* ordenum_lit 9 , 125 */
  REF(9).value.ord_enum = 125;
  REF(9).tsdr = & dr_ord_enumeration;
/* insert 3.7 9 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(7),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c25:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
